CFReadStreamRef Struct Reference

## Data Fields

CFRuntimeBase | parent
struct CFReadStreamImpl | impl
Boolean | open
Boolean | closed
Boolean | failed
CFErrorRef | error
CFOptionFlags | streamEvents
CFReadStreamClientCallBack | clientCB

## Field Documentation

## parent

CFRuntimeBase CFReadStreamRef::parent

## impl

struct CFReadStreamImpl CFReadStreamRef::impl

## open

Boolean CFReadStreamRef::open

## closed

Boolean CFReadStreamRef::closed

## failed

Boolean CFReadStreamRef::failed

## error

CFErrorRef CFReadStreamRef::error

## streamEvents

CFOptionFlags CFReadStreamRef::streamEvents

## clientCB

CFReadStreamClientCallBack CFReadStreamRef::clientCB

The documentation for this struct was generated from the following file:

- Headers/CoreFoundation/CFStreamPriv.h